import axios from "../../utils/axios";

//--------------获取ERP数据-------------------
export function getErpProduct(query) {
    return axios({
        url: "/getErpProduct",
        method: "get",
        params: query
    });
}

export function getErpUnit(query) {
    return axios({
        url: "/getErpUnit",
        method: "get",
        params: query
    });
}
//-------------end---------------------------------


export function combineProduct(query) {
    return axios(
        {
            url: "/warehouse/productInfo/combine",
            method: "post",
            data: query
        }
    );
}

export function combineDrugProduct(query) {
    return axios(
        {
            url: "/warehouse/productInfo/combineDrug",
            method: "post",
            data: query
        }
    );
}
export function updatetUdiInfos(query) {
    return axios({
        url: "/udi/udirel/update",
        method: "post",
        data: query
    });
}

export function getUdiInfos(query) {
    return axios({
        url: "/udi/udiinfo/filterUdi",
        method: "get",
        params: query
    });
}

export function filterByUuid(query) {
    return axios({
        url: "/udi/udiinfo/local/filterByUuid",
        method: "get",
        params: query
    });
}

export function combineUdi(query) {
    return axios({
        url: "/udi/udirel/revleance",
        method: "post",
        data: query
    });
}

export function combineAllUdi(query) {
    return axios({
        url: "/udi/udirel/combineAll",
        method: "get",
        params: query
    });
}

export function deletetUdiInfos(query) {
    return axios({
        url: "/udi/udirel/deleteById",
        method: "post",
        data: query
    });
}
